﻿.login-wrapper {
    display: grid;
    place-items: center;
    height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.login-paper {
    box-shadow: 0px 3px 3px -2px rgba(0,0,0,0.2), 0px 3px 4px 0px rgba(0,0,0,0.14), 0px 1px 8px 0px rgba(0,0,0,0.12);
    border-radius: 8px;
    margin: auto 0 auto 0;
    height: 680px;
    width: 780px;
    background-color: #21394F;
}

#loginForm {
    overflow-x: auto;
    overflow-y: auto;
}

.login-paper-segment {
    height: 100%;
    float: left;
}

.login-paper .left {
    width: 40%;
    background-color: #fff;
    border-radius: 8px 0 0 8px;
    border-bottom: none;
    border-right: 0.4rem solid rgb(215, 22, 56);
}


.login-paper .right {
    width: 59.1%;
    padding: 6%;
}

.sign-in-text {
    color: #fff;
    height: 85px;
}

.logo-container {
    height: 100%;
    width: 100%;
    display: grid;
    place-items: center;
}

.button-container button  {
    width: 100%;
    margin: 8px 0;
    height: 45px !important;
    font-size: 15px;
    font-weight: 600 !important;
    text-align: center;
    color: #fff;
}

.contact-support-btn {
    margin: 8px 0;
    height: 45px !important;
    font-size: 15px !important;
    font-weight: 600 !important;
    text-align: center;
    color: #fff !important;
}

.validation-message-container {
    font-size: 16px;
    font-weight: 500;
    color: #f1484d;
}

.errorIcon {
    float: left;
    height: 25px;
    width: 25px;
    margin-right: 10px;
}

.left-text {
    text-align: left;
}
.help-button {
    position: fixed;
    bottom: 0px;
    right: 0px;
}

.success {
    color: #20b855;
}

.success-box {
    display: grid;
    place-items: center;
    height: 100%;
    text-align: center;
    width: 100%;
}

.panel-title {
    margin-top: 16.5px;
}

.support-btn-container {
    position: fixed;
    bottom: 12px;
    right: 10px;
    z-index: 10;
}

.fine-print-container {
    padding: 20px;
    text-align: center;
}

#supportModal {
    width: 40%;
    overflow-x: auto;
    overflow-y: auto;
}

#forgotPasswordModal {
    overflow-x: auto;
    overflow-y: auto;
}

.rounded-btn {
    border-radius: 41px;
    height: 45px !important;
    font-size: 16px !important;
    font-weight: 600 !important;
    color: #fff;
}

.support-btn > img {
    height: 20px;
    vertical-align: sub;
}

.contact-number {
    margin-bottom: 5px;
}

.contact-number > img {
    height: 30px;
    vertical-align: middle;
}

.contact-number > span {
    padding: 2px;
    vertical-align: middle;
}

.styled-dropdown {
    background-color: rgb(232, 240, 254) !important;
    border-radius: 8px;    
}
.select-wrapper input.select-dropdown {
    margin-left: 2%;
    border: none;
}
.center-text {
    text-align: center
}

.terms-of-use {
    display: none;
    width: 100%;
    justify-content: center;
}

.tandc-content {
    padding: 2%
}

.tandc-title {
    margin: 2% !important
}

#termsAndConditionsModal {
    top: -30px !important;
    overflow-x: hidden;
    overflow-y: auto;
}

.language-select-container {
    margin-top: -1em;
}

.main-logo {
    min-width: 150px;
    max-width: 0%;
}

.bottom-spacer {
    height: 36px;
}

/*Materialize overides: I have opted for materialize here instead of setting up a react project running material-ui*/
.input-field > label {
    margin-left: 10px;
}

.input-field > label:not(.label-icon).active {
    margin-top: -6px;
    margin-left: 0px;
    color: white;
}

.modal {
    border-radius: 8px !important;
    overflow-y: inherit !important;
    transform: translateY(30%) !important;
    width: 40% !important;
}
.modal .modal-content {
    display: flex !important;
}

.modal-text-wrapper {
    width: 50%;
    padding: 2%;
}

.modal-text-wrapper-full {
    width: 100%;
    text-align: center;
    padding: 8%;
}

.colorBar {
    /*copied from react component*/
    height: 5px;
    border-radius: 0 0 5px 5px;
    position: relative;
    bottom: 0;
    width: 100%;
    background-color: #743276; /*#85cfff;*/  /*#40444d;*/ /*#743276;*/
}

.language-label {
    position: absolute !important;
    top: -26px !important;
    font-size: 0.8rem !important;
    margin-top: -6px !important;
    margin-left: 0px !important;
    color: white !important;
}

.modal-exit-btn {
    width: 100%;
    text-align: right;
    padding: 6px;
}

.modal-exit-btn > a {
    cursor: pointer;
}

.modal-close > img {
    cursor: pointer;
    width: 32px;
}

#forgotYourPassword {
    margin-right: 1px;
    background: rgba(0,0,0,0);
    color: #fff;
    box-shadow: 0 0 0 2px #85cfff;
    width: 99%;
}

#forgotYourPassword:hover {
    margin-right: 1px;
    background: #85cfff;
    color: #21394F;
    box-shadow: 0 0 0 2px #85cfff;
    width: 99%;
}


#container {
    position: relative;
    height: 100%;
}

#saltpersonaldata {
    position: absolute;
    bottom: -15px;
    color: white;
    text-align: center;
    vertical-align: middle;
    width: 100%;
    text-decoration:underline;
    
}

#privacylink {
    color: white;
    cursor: pointer;
    font-size: 0.8rem !important;
}

#sendRequestBtn {
    color: #fff !important;
    font-weight: 600;
}

.close-btn-container:hover > .close-btn-path {
    fill: #85cfff;
}

.maintenanceModalContainer {
    padding: 20px;
}

#maintenanceModal {
    overflow: hidden;
    overflow-y: scroll;
}

#maintenanceModal {
    overflow-x: auto;
    overflow-y: auto;
}

#loaderCover {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0px;
    display: grid;
    left: 0px;
    background-color: #eeeeee;
    z-index: 20;
    place-items: center;
}

.ldsripple {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}

.ldsripple div {
    position: absolute;
    border: 4px solid #000;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.ldsripple div:nth-child(2) {
    animation-delay: -0.5s;
}

@keyframes lds-ripple {
    0% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 72px;
        height: 72px;
        opacity: 0;
    }
}

.loaderBox {
    display: grid;
    place-items: center;
    width: 100%;
    height: 100%;
    text-align: center;
}
/* On screens that are 500px wide or less*/

@media (max-width: 992px) {
.modal {
        border-radius: 8px !important;
        overflow-y: inherit !important;
        transform: translateY(30%) !important;
        width: 90% !important;
}
.login-paper {
        height: 80% !important;
        width:60%;
        display: flex;
        flex-direction:column;
}

.login-paper .right {
    display:block;
    width:100%;
}

.login-paper .left {
    width: 100%;
    border-right: none;
    border-radius: 8px 8px 0 0;
    border-bottom: 0.4rem solid rgb(215, 22, 56);
}

    .main-logo {
        max-height: 100%;
        /* max-width: 40%; */
        width: auto;
        float:left;
    }
}

@media (max-width: 600px) {
    .modal {
        border-radius: 8px !important;
        overflow-y: inherit !important;
        transform: translateY(30%) !important;
        width: 90% !important;
    }
    .login-paper {
        height: 100% !important;
        width: 100%;
        display: flex;
        flex-direction: column;
        border-radius: 0;
    }

    .login-paper .right {
        display: block;
        width: 100%;
    }

    .login-paper .left {
        width: 100%;
        border-right: none;
        border-radius: 0;
        border-bottom: 0.4rem solid rgb(215, 22, 56);
    }

    .support-btn > span {
        display: none;
    }

    .logo-container {
        padding: 40px;
        min-height: 150px;
        max-height: 250px;
    }

    .main-logo {
        max-height: 190px;
        max-width: 80%;
        width: auto;
    }

    .login-paper-segment {
        height: auto;
    }

    #forgotYourPasswordText {
        position: relative;
        top: -50px; /* Adjust this value as needed to move the element vertically */
        margin-bottom: 20px; /* Add some space below the element */
    }

    .modal-content {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .modal-text-wrapper {
        width: 100%;
    }
  
}